Subject: Re: [PATCH] vlan: allow creating vlan when real device is not up

From: Patrick McHardy <[email-masked]>
Date: Fri, 31 Jul 2009 14:16:11 +0200

David Miller wrote:
> From: Stephen Hemminger <[email-masked]>
> Date: Thu, 30 Jul 2009 11:23:21 -0700
> 
>> There is no reason for the arbitrary restriction that device must be
>> up to create a vlan. This patch was added to Vyatta kernel to resolve startup
>> ordering issues where vlan's are created but real device was disabled.
>>
>> Note: the vlan already correctly inherits the operstate from real device; so
>> if vlan is created and real device is marked down, the vlan is marked
>> down.
>>
>> Signed-off-by: Stephen Hemminger <[email-masked]>
> 
> Looks fine, added to net-next-2.6
> 
> We can revert if Patrick or someone else finds a potential problem
> with allowing this.

It seems perfectly fine to me, we can get to the same state by
setting the lower device down after creating the VLAN device.